% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/include_file.R
\name{include_file}
\alias{include_file}
\title{Read and include files in a prompt}
\usage{
include_file(prompt, anyFile)
}
\arguments{
\item{prompt}{A vector of strings.}

\item{anyFile}{A boolean of the same length of prompt indicating that an instruction \code{"ff:"} has been detected in a string.}
}
\value{
A vector of strings containing prompt augmented by the files refered to in the original prompt.
}
\description{
Read and include files in a prompt
}
\details{
If \code{anyFile[i]} is \code{TRUE} then the sequence of characters following the instruction \code{"ff:"} in \code{prompt[i]} is read until the next space or the end of the string. This extracted string is assumed to be a file name. This file is looked for in the current working directory or any of its sub-directories. Once detected, the file is read with \code{readLines()} and this content is inserted in \code{prompt} between \code{prompt[i-1]} and \code{prompt[i+1]}. Note that \code{prompt[i]} is therefore deleted.

The result is returned.
}
